<?xml version="1.0" encoding="gb2312" ?>
<xs:schema targetNamespace="http://www.h3c.com/netconf/action:1.0"
                  elementFormDefault="qualified"
                  xmlns:base="http://www.h3c.com/netconf/base:1.0"
                  xmlns="http://www.h3c.com/netconf/action:1.0"
                  xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import namespace="http://www.h3c.com/netconf/base:1.0" schemaLocation="basetype.xsd"></xs:import>
  <xs:annotation>
    <xs:documentation>
       VLAN module action definition.
    </xs:documentation>
  </xs:annotation>
  <xs:element name="VLAN">
    <xs:complexType>
      <xs:choice maxOccurs="unbounded">
        <xs:element name="BatchVlans" minOccurs="0">
          <xs:annotation>
            <xs:documentation>This table is used to batch create or delete VLANs.</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:all>
              <xs:element name="CreateVlanList" minOccurs="0" nillable="true"  type="base:VlanRange">
                <xs:annotation>
                  <xs:documentation>List of VLANs to create.</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name="DestroyVlanList" minOccurs="0" nillable="true"  type="base:VlanRange">
                <xs:annotation>
                  <xs:documentation>List of VLANs to delete.</xs:documentation>
                </xs:annotation>
              </xs:element>
            </xs:all>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
  </xs:element>
</xs:schema>
